HaskellForMaths-0.4.9: Combinatorics, group theory, commutative algebra, non-commutative algebra

Safe Haskell | None
Language | Haskell98

Math.Projects.KnotTheory.Braid

Contents

- Orphan instances

# Documentation

type LPQ = LaurentMPoly Q Source #

data BraidGens Source #

Constructors

S Int |

Instances

Eq BraidGens Source # |
Instance details Defined in Math.Projects.KnotTheory.Braid Methods (==) :: BraidGens -> BraidGens -> Bool Source # (/=) :: BraidGens -> BraidGens -> Bool Source #
Ord BraidGens Source # |

Instance details

Defined in Math.Projects.KnotTheory.Braid

Methods

compare :: BraidGens -> BraidGens -> Ordering Source #

(<) :: BraidGens -> BraidGens -> Bool Source #

(<=) :: BraidGens -> BraidGens -> Bool Source #

(>) :: BraidGens -> BraidGens -> Bool Source #

(>=) :: BraidGens -> BraidGens -> Bool Source #

max :: BraidGens -> BraidGens -> BraidGens Source #

min :: BraidGens -> BraidGens -> BraidGens Source #

Show BraidGens Source # |
Instance details Defined in Math.Projects.KnotTheory.Braid Methods showsPrec :: Int -> BraidGens -> ShowS Source # show :: BraidGens -> String Source # showList :: [BraidGens] -> ShowS Source #
Invertible (NPoly LPQ BraidGens) Source # |
Instance details Defined in Math.Projects.KnotTheory.Braid Methods inv :: NPoly LPQ BraidGens -> NPoly LPQ BraidGens Source #

s_ :: Int -> NPoly LPQ BraidGens Source #

s1 :: NPoly LPQ BraidGens Source #

s2 :: NPoly LPQ BraidGens Source #

s3 :: NPoly LPQ BraidGens Source #

s4 :: NPoly LPQ BraidGens Source #

writhe :: NPoly r BraidGens -> Int Source #

k3_1 :: NPoly LPQ BraidGens Source #

k4_1 :: NPoly LPQ BraidGens Source #

k5_1 :: NPoly LPQ BraidGens Source #

k7_1 :: NPoly LPQ BraidGens Source #

# Orphan instances

Invertible LPQ Source # |
Instance details Methods inv :: LPQ -> LPQ Source #